Subject: bug#60711: Compose fails to generate ≤ and ≥ (only those two! and only in emacs!)

From: Gregory Heytings <[email-masked]>
Date: Wed, 11 Jan 2023 21:02:07 +0000

>
> The compose key requires either compose state to be kept by the program 
> in cooperation with XLookupString, or is implemented by the input 
> method.
>

You're right.  I thought this was happening entirely inside Xlib, and 
indeed it requires some cooperation of the program.  It seems that this 
cooperation is minimal, though: IIUC, the client should just immediately 
discard the events when XFilterEvent returns True, that is, until the 
composed character is delivered.